/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.mmcomp.adom;

/*
 * AMLProcess.java
 *
 * Created on February 10, 2003, 1:04 PM
 */

import org.moremotion.config.ConfigParameter;
import org.moremotion.config.ConfigParameterException;
import org.moremotion.process.ProcessException;
import org.moremotion.process.Process;
import org.moremotion.process.ProcessRecord;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: AMLProcess.java 51 2008-03-10 11:46:54Z erkan $
 */
public class AMLProcess extends Process {
  
  ConfigParameter cpAml;
  AML amlProcessor;
  
  public void prepare() throws ProcessException {
    
    if (logger.LEVEL1) {
      logger.print("Process started for step " + callDef.getStepCaption() + " ...");
    }
    
    try {
      cpAml = processConfig.getParameter("aml");
    } catch (ConfigParameterException ex) {
      throw new ProcessException(ex);
    }
    
    if (logger.LEVEL1) {
      logger.print("AML : \n" + cpAml);
    }
    
    amlProcessor = new AML(request.getSymbolResolver(),logger);
  }
  
  public void processRecord(ProcessRecord prec) throws ProcessException {
    
// amlProcessor.setProcessBlock(prec.getBlock());
    
    amlProcessor.setProcessRecord(prec);
    try {
      int cc = amlProcessor.execute(cpAml.resolve(request).stringValue(""));
      setCompletionCode(cc);
      
    } catch(Exception ex) {
      if (logger.LEVEL1) {
        logger.print("Exception occured. Message: " + ex.getMessage());
      }
      throw new ProcessException(this,"AML_PROCESS_ERROR",null,ex);
    }
    
  }
  
  public void finalizeProcess() throws ProcessException {
  }
  
}
