/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * AjaxViewStateService.java
 *
 * Created on 28 September 2008 Sunday, 21:40
 *
 */

package org.moremotion.mmcomp.ajax;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import javax.servlet.http.HttpServletResponse;
import org.moremotion.action.ActionService;
import org.moremotion.action.ActionServiceContext;
import org.moremotion.servlet.MoreMotionRequest;
import org.moremotion.servlet.ServiceException;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: AjaxViewStateService.java 51 2008-03-10 11:46:54Z erkan $
 */
public class AjaxViewStateService implements ActionService {
  
  public void doService(ActionServiceContext asc) throws ServiceException, IOException {
    
    MoreMotionRequest request = asc.getRequest();
    request.adjustVarsToPage(request.getOriginPage());
    
    try {
      
      Enumeration e = request.getParameterNames();
      while (e.hasMoreElements()) {
        String name = (String)e.nextElement();
        if (!name.startsWith("_")) {
          String val = request.getParameter(name);
          request.getVars().setPageVar("vs_" + name, val); 
        }
      }
      
      StringBuffer resp = new StringBuffer();
      resp.append('{');
      
      String getvars = request.getParameter("_vars",null);
      if (getvars != null) {
        String[] vars = getvars.split(",");
        for (int i = 0; i < vars.length; i++) {
          if (i > 0) resp.append(',');
          String name = vars[i].trim();
          String val = request.getVars().getPageVar("vs_" + name);
          resp.append(name + ":'" + (val == null ? "" : AjaxResponse.escape(val)) + "'");
        }
      }
      
      resp.append('}');
      
      request.setNoCache();

      HttpServletResponse response = request.getResponse();
      String enc = request.getParameter("_resp_enc","iso-8859-1");
      response.setContentType("text/html; charset="+ enc);
      PrintWriter out = request.getResponse().getWriter();
      out.write(resp.toString());
      out.flush();
      out.close();
            
    } catch (Exception ex) {
      ex.printStackTrace();
    }
    
  }
  
}
