/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.mmcomp.filer.upload;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import org.moremotion.action.ActionService;
import org.moremotion.action.ActionServiceContext;
import org.moremotion.servlet.ServiceException;
import org.moremotion.servlet.MoreMotionRequest;


/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: FileUploadService.java 112 2008-04-01 16:44:35Z erkan $
 */
public class FileUploadService implements ActionService {
  
  public UploadManager fm = null;
  
  public void doService(ActionServiceContext asc) throws ServiceException, IOException {
    
    MoreMotionRequest request = asc.getRequest();
    
    Date dt = new Date();
    Uploader uploader = null;
    String fileboxId = null;
    try {
      if (request.getMethod().equalsIgnoreCase("POST")) {
        
        fm = getUploadFileManager(request.getHttpServletRequest(), request.getContext());
        
        uploader = new Uploader(fm);
        uploader.upload(request);
        //        System.out.println("UPLOAD COMPLETED...");
        String pn = uploader.getCurrentPageName();
        fileboxId = uploader.getFileBoxId(); 
        
        request.getResponse().sendRedirect("display.doms?pg=" + pn + "&fileboxId=" + fileboxId + "&_uploadresult=true&_sendhtml=true&_rand=" + dt.getTime());
        
//        if (fileboxId.equals("*none*")) {
//          PrintWriter pw = request.getResponse().getWriter();
//          pw.write("OK");
//          pw.flush();
//          pw.close();
//        } else {
//          request.getResponse().sendRedirect("display.doms?pg=" + pn + "&fileboxId=" + fileboxId + "&_uploadresult=true&_sendhtml=true&_rand=" + dt.getTime());
//        }
        return;
      }
      
    } catch(InvalidUploadRequestException iure) {
      fm.Message("UPLOADER:INVALID_UPLOAD_REQUEST", iure.getMessage());
      String pn = uploader.getCurrentPageName();
      request.getResponse().sendRedirect("display.doms?pg=" + pn + "&_uploadresult=true&_sendhtml=true&_rand=" + dt.getTime());
      iure.printStackTrace();
      return;
      
    } catch(Exception ex) {
      fm.Message("UPLOADER:UNKNOWN_ERROR", ex.getMessage());
      String pn = uploader.getCurrentPageName();
      request.getResponse().sendRedirect("display.doms?pg=" + pn + "&_uploadresult=true&_sendhtml=true&_rand=" + dt.getTime());
      ex.printStackTrace();
      return;
    }
  }
  
  private UploadManager getUploadFileManager(HttpServletRequest request, ServletContext context) {
    UploadManager result = new UploadManager(request, context.getRealPath("/"));
    return result;
  }
  
}
