/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ByteArrayDataSource.java
 *
 * Created on 01 May 2005 Sunday, 01:34
 */

package org.moremotion.mmcomp.mailer;

import java.io.ByteArrayInputStream;


/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ByteArrayDataSource.java 51 2008-03-10 11:46:54Z erkan $
 */
public class ByteArrayDataSource implements javax.activation.DataSource {
  
  private String mimetype = null;
  private byte[] content = null;
  
  public ByteArrayDataSource(String mimetype, byte[] content) {
    this.mimetype = mimetype;
    this.content = content;
  }
  
  public String getContentType() {
    return this.mimetype;
  }
  
  public java.io.InputStream getInputStream() throws java.io.IOException {
    return new ByteArrayInputStream(content);  
  }
  
  public String getName() {
    return "String Data Source";
  }
  
  public java.io.OutputStream getOutputStream() throws java.io.IOException {
    //      ByteArrayOutputStream os = new ByteArrayOutputStream();
    //      os.write(content.getBytes());
    //      return os;
    return null;
  }
  
}
