/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * MailLogger.java
 *
 * Created on 04 November 2005 Friday, 01:10
 */

package org.moremotion.mmcomp.mailer;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import org.moremotion.util.MiscUtils;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: MailLogger.java 51 2008-03-10 11:46:54Z erkan $
 */
public class MailLogger {
  
  private File logfile;
  
  /** Creates a new instance of MailLogger */
  public MailLogger(File logfile) throws MailerException {
    this.logfile = logfile;
    File dir = this.logfile.getParentFile(); 
    dir.mkdirs();
    if (!dir.exists()) {
      throw new MailerException("UNABLE_TO_CREATE_LOG_DIR", new String[]{this.logfile.getAbsolutePath()},null);
    }
  }
  
  public void print(String str) {
    
    if (logfile != null) {
      synchronized (this) {
        try {
          BufferedWriter bw = new BufferedWriter( new FileWriter(logfile, true) );
          bw.write(MiscUtils.timeStamp() + " " + str);
          bw.newLine();
          bw.flush();
          bw.close();
        } catch(Exception e) {
          e.printStackTrace();  
        }
      }
    }
    
  }  
}
