/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ExternalXmlProcess.java
 *
 * Created on 16 July 2007 Monday, 12:15
 *
 */

package org.moremotion.mmcomp.utils;

import org.moremotion.config.ConfigParameter;
import org.moremotion.config.ConfigParameterException;
import org.moremotion.process.ProcessException;
import org.moremotion.process.Process;
import org.moremotion.process.ProcessRecord;
import org.moremotion.servlet.MoreMotionRequest;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ExternalXmlProcess.java 148 2008-06-10 17:03:26Z erkan $
 */
public class ExternalXmlProcess extends Process {
  
  ConfigParameter targetSymbol;

  public void prepare() throws ProcessException {
    try {
      targetSymbol = callDef.getProcessConfig().getParameter("targetSymbol");
    } catch (ConfigParameterException e) {
      setCompletionCode(12);
      createMessage(e);
    }
  }

  public void processRecord(ProcessRecord prec) throws ProcessException {
    
    try {
      ExternalXml exml = new ExternalXml(callDef.getProcessConfig(), request, logger);
      request.getSymbolResolver().setValue(targetSymbol.resolve(request).stringValue(),exml.getXml());

    } catch(Exception e) {
      setCompletionCode(12);
      createMessage(e);
    }    
    
  }

  public void finalizeProcess() throws ProcessException {
  }
  
}
