/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.action; 

import org.moremotion.config.ConfigParameterException;
import org.moremotion.servlet.MoreMotionRequest;
import org.moremotion.servlet.ServiceException;
import org.moremotion.util.Logger;

/**
 * ActionServiceContext provides all the necessary information for a MoreMotion Action Service. 
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ActionServiceContext.java 51 2008-03-10 11:46:54Z erkan $
 */

public class ActionServiceContext {
  
  private MoreMotionRequest request = null;
  private ActionServiceConfig asconfig = null;
  public Logger logger = null; 
  
  
  public ActionServiceContext() {
  }
  
  public void setRequest(MoreMotionRequest request) {
    this.request = request;
  }
  
  public MoreMotionRequest getRequest() {
    return this.request;
  }
  
 
  public void setActionServiceConfig(ActionServiceConfig asconfig) { 
    this.asconfig = asconfig;
  }
  
  public ActionServiceConfig getActionServiceConfig() {
    return this.asconfig;  
  }
  
  protected void setLogger(String name, int level, String resBundleName) {

    logger = new Logger(name); 
    logger.setLevel(level);
    logger.setResourceBundleName(resBundleName);
    
  }
  
}
