/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * ParameterSyntax.java
 *
 * Created on 15 September 2005 Saturday, 13:09
 */

package org.moremotion.clang;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ParameterSyntax.java 51 2008-03-10 11:46:54Z erkan $
 */
public class ParameterSyntax {
  
  public static final int PT_STRING = 1;
  public static final int PT_INT = 2;
  public static final int PT_LONG = 3;
  public static final int PT_DOUBLE = 4;
  public static final int PT_BOOLEAN = 5;
  public static final int PT_ADOM = 6;
  public static final int PT_SYMBOL = 7;
  public static final int PT_PASSWORD = 8;
  public static final int PT_LIST = 9;
  public static final int PT_RESOLVED_LIST = 10;
  public static final int PT_TEST_EXPRESSION = 11;
  
  public int type;
  public String name;
  public boolean mandatory;
  
  /** Creates a new instance of ParameterSyntax */
  public ParameterSyntax(int type, String name, boolean mandatory) {
    this.type = type;
    this.name = name;
    this.mandatory = mandatory;
  }
  
  public static String getTypeText(int type) {
    switch (type) {
      case PT_STRING : return "String";
      case PT_INT : return "Integer";
      case PT_DOUBLE : return "Double";
      case PT_LONG : return "Long";
      case PT_BOOLEAN : return "Boolean";
      case PT_ADOM : return "ADOM";
      case PT_SYMBOL : return "Symbol";
      case PT_PASSWORD : return "Password";
      case PT_LIST : return "List";
      case PT_RESOLVED_LIST : return "Resolved List";
      case PT_TEST_EXPRESSION : return "Test Expression";
    }
    return "String";   
  }
}
