/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * DataSrcUtils.java
 *
 */

package org.moremotion.datasrc;

import org.moremotion.page.PageDataRequest;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: DataSrcUtils.java 180 2008-07-29 10:37:27Z erkan $
 */
public class DataSrcUtils {
  
  public static String getAdomName(PageDataRequest pdr, DataSourceConfig dsconfig, String language) {
    
    if (pdr == null) {
      /*
       * If pdr is null then ADOM Name is not important since it will not be saved
       */
      return dsconfig.getName();
    }
    
    String result = pdr.getName();
      
    // if (dsconfig.isLanguageSensitive()) {
    if (dsconfig.getScope() != 'r' && dsconfig.isLanguageSensitive()) {
      result +=  "_" + language;
    }
    
    return result;
  }
  
  
  public static String getScopeText(char scope) {
    
    switch (scope) {
      case 'r': return "Request";  
      case 's': return "Session";  
      case 'a': return "Application";  
    }
    
    return "?";
    
  }
  
  
}
