package org.moremotion.evaluator;

import org.moremotion.config.ConfigParameterException;
public class MyFunc implements MScriptFunction {
  
  public Object execute(Expression[] params, MScriptFunctionContext msfc) throws MScriptFunctionException {
    
    if (params.length < 2) throw new MScriptFunctionException("Less parameters than expected");
    try {
      MMSymbolResolver sr = msfc.getSymbolResolver();
      String seperator = msfc.getMScriptFunctionConfig().getParameter("repeat-seperator").stringValue(null);
      String s = params[0].evaluate(sr).toString();
      int times = ((Double)params[1].evaluate(sr)).intValue();
      StringBuffer result = new StringBuffer();
      for (int i = 0; i < times; i++) {
        if (result.length() > 0) result.append(seperator);
        result.append(s);
      }
      return result.toString();
      
    } catch (ConfigParameterException ex) {
      throw new MScriptFunctionException(ex);
    } catch (EvaluationException ex) {
      throw new MScriptFunctionException(ex);
    }
  }
  
}
