/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * PageInfo.java
 *
 */

package org.moremotion.page;

import java.io.File;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: PageInfo.java 51 2008-03-10 11:46:54Z erkan $
 */
public class PageInfo {
  
  private File pageFile = null;
  private File pageConfigFile = null;
  private PageConfig pageConfig = null;
  
  /**
   * Creates a new instance of PageInfo
   */
  public PageInfo() {
  }
  
  protected void setPageFile(File file) {
    this.pageFile = file;
  }
  
  public File getPageFile() {
    return this.pageFile;
  }
  
  protected void setPageConfigFile(File file) {
    this.pageConfigFile = file;
  }
  
  public File getPageConfigFile() {
    return this.pageConfigFile;
  }
  
  protected void setPageConfig(PageConfig pageConfig) {
    this.pageConfig = pageConfig;
  }
  
  public PageConfig getPageConfig() {
    return this.pageConfig;
  }
  
  public boolean isHtml() {
    return pageFile != null && pageFile.getName().endsWith(".html");
  }
  
  public boolean isXsl() {
    return pageFile != null && pageFile.getName().endsWith(".xsl");
  }
  
  public boolean isVariant() {
    return this.pageFile.getAbsolutePath().indexOf("_.") > -1;
  }
  
  public String[] getVariants() {
    return PageManager.getVariants(this.pageFile);
  }
  
}
