/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.process;

import java.util.HashMap;
import org.moremotion.config.Config;
import org.moremotion.config.ConfigNode;
import org.moremotion.config.ConfigNodeList;
import org.moremotion.config.ConfigParameter;
import org.moremotion.config.ConfigParameterException;
import org.moremotion.config.ConfigUnit;
import org.moremotion.config.ConfigurationException;

/**
 * Process Configuration
 *
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: ProcessConfig.java 59 2008-03-13 20:22:09Z erkan $
 */
public class ProcessConfig extends Config {
  
  private String className = null;
  
  protected String unitname = null;
  
  
  public ProcessConfig(ConfigUnit unit) throws ConfigurationException {
    super(unit,false);
    parse(unit.getConfigNodeList());
  }
  
  protected void parse(ConfigNodeList nodelist) throws ConfigParameterException {
    
    for (int i = 0; i < nodelist.size(); i++) {
      
      ConfigNode node = nodelist.get(i);
      
      String name = node.getName();
      
      if (name.equals("unitname")) {
        unitname = node.getValue();
      }
      
      else if (name.equals("class")) {
        className = node.getValue();
      }
      
      else {
        if (params == null) params = new HashMap();
        params.put(name, new ConfigParameter(name, node.getValue())) ;
      }
      
      
    }
    
  }
  
  
  public void addParameter(String name, String value) {
    if (params == null) params = new HashMap();
    params.put(name, new ConfigParameter(name, value) ) ;
  }
  
  public String getUnitName() {
    return unitname;
  }
  
  public String getClassName() { 
    return this.className;
  }
 
}