/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * SystemResourcesDataService.java
 *
 * Created on 10 November 2007 Saturday, 18:29
 *
 */

package org.moremotion.resource;

import java.util.Properties;
import java.util.Enumeration;
import org.moremotion.adom.ADOM;
import org.moremotion.datasrc.DataService;
import org.moremotion.datasrc.DataServiceContext;
import org.moremotion.servlet.ServiceException;
import org.moremotion.servlet.SystemConfig;
import org.moremotion.resource.ResourceBundle;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: SystemResourcesDataService.java 51 2008-03-10 11:46:54Z erkan $
 */
public class SystemResourcesDataService implements DataService {
  
  public void doService(ADOM adom, DataServiceContext dsc) throws ServiceException {
    
    ResourceBundle defaultBundle = null;  
    ResourceBundle bundle = null;  

    try {
      bundle = ResourceManager.getSystemResourceBundle(SystemConfig.applicationLanguage());
      defaultBundle = ResourceManager.getSystemResourceBundle("en");
    } catch (ResourceException ex) {
      ex.printStackTrace();
      return;
    }
    
    try {
      String lastModifiedStr = adom.getRootNode().getAttribute("lastModified");
      long lastModified = Long.parseLong(lastModifiedStr);
      if (!bundle.isModified(lastModified)) {
        return;
      }
    } catch (Exception e) {}
    
    adom.clear();
    Properties props = defaultBundle.getResources();
    Enumeration e = props.keys();
    while (e.hasMoreElements()) {
      String name = (String) e.nextElement();
      String value = bundle.getResourceText(name);
      adom.setNodeValue(name,value);
    }
  }
  
}
