/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.security;

import org.moremotion.exception.MoreMotionException;

/** Indicates that there is currently no user attached to the session. Here session
 *  refers <CODE>HttpSession</CODE> in <CODE>javax.servlet.http</CODE> package.
 *
 * @author Yusuf Boyacigil
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: NoUserAttachedException.java 51 2008-03-10 11:46:54Z erkan $
 */
public class NoUserAttachedException extends MoreMotionException {
  
  public NoUserAttachedException(Exception rootCause) { super(rootCause); }
  public NoUserAttachedException(String messsage) { super(messsage); }
  
  public NoUserAttachedException(String messsage, String[] arguments, Exception rootCause) {
    super(messsage, arguments, rootCause);
  }
}
