/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * JSPFilter.java
 *
 * Created on 03 Mart 2007 Cumartesi, 13:04
 */

package org.moremotion.servlet;

import javax.servlet.RequestDispatcher;
import javax.servlet.Filter;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.moremotion.util.XString;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: JspFilter.java 51 2008-03-10 11:46:54Z erkan $
 */

public class JspFilter implements Filter {   

  public void doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain) throws java.io.IOException, javax.servlet.ServletException {

      HttpServletRequest request = (HttpServletRequest)servletRequest;
      String uri = request.getRequestURI();
      String se = StartupServlet.serviceExtension;
      if (uri.endsWith("." + se +".jsp")) {      
        XString xs = new XString(uri);
        String serviceName = xs.before("."+se).afterLast("/").s();

        RequestDispatcher rd = servletRequest.getRequestDispatcher(serviceName + "." + se);
        rd.forward(servletRequest, servletResponse);

      } else if (uri.endsWith(".mmpage.jsp")) {      
        XString xs = new XString(uri);
        String serviceName = xs.before(".mmpage").afterLast("/").s();

        RequestDispatcher rd = servletRequest.getRequestDispatcher(serviceName + ".mmpage");
        rd.forward(servletRequest, servletResponse);

      } else {
        filterChain.doFilter(servletRequest, servletResponse);
      }

  }

  public void init(FilterConfig filterConfig) throws ServletException {
  }

  public void destroy() {
  }

}
