/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * BoolStack.java
 *
 * Created on 06 August 2004 Friday, 19:17
 */

package org.moremotion.util;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: BooleanStack.java 51 2008-03-10 11:46:54Z erkan $
 */
public class BooleanStack {
  
  private boolean[] stack;
  private int index = -1;
  /** Creates a new instance of BoolStack */
  public BooleanStack(int size) {
    stack = new boolean[size];
    push(false);
  }
  
  public void push(boolean value) {
    index++;
    stack[index] = value;
  }
  
  public boolean pop() {
    boolean result = stack[index];
    if (index > 0) {
      index--;
    }
    return result;
  }
  
  public boolean peek() {
    return stack[index];
  }
  
  public void clear() {
    index = -1;
  }
  
}
