/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

package org.moremotion.utilityservices;

import java.io.PrintWriter;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;

import java.text.NumberFormat;
import org.moremotion.action.ActionService;
import org.moremotion.action.ActionServiceContext;

import org.moremotion.servlet.ServiceException;
import org.moremotion.servlet.MoreMotionRequest;


/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: MS.java 186 2008-07-31 18:23:46Z erkan $
 */
public class MS implements ActionService {

    public void doService(ActionServiceContext asc) throws ServiceException, java.io.IOException {
      
    MoreMotionRequest request = asc.getRequest();
    
    if (!Utils.isUtilityServiceActive(request,"MS")) return; 
      
      HttpServletResponse response = request.getResponse();

      NumberFormat format = NumberFormat.getInstance();
      System.gc();
      Runtime runTime = Runtime.getRuntime();
      response.setContentType("text/html");
      request.setNoCache();
      PrintWriter out = response.getWriter();
      out.println("<html>");
      out.println("<head>");
      out.println("<title>Servlet</title>");
      out.println("</head>");
      out.println("<body>");
      out.println("<table border=\"1\"><tr><td width='120'>Total Memory</td><td width='120' align='Right'>" + format.format(runTime.totalMemory()) + "</td></tr>" + "<tr><td width='120'>Free Memory</td><td width='120' align='Right'>" + format.format(runTime.freeMemory()) + "</td></tr>" + "<tr><td width='120'>Used Memory</td><td width='120' align='Right' style='font-weight:bold'>" + format.format(runTime.totalMemory() - runTime.freeMemory()) + "</td></tr>" + "</table>");
      out.println("</body>");
      out.println("</html>");
      out.close();
    }

}