/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * FailedLoginAttemptEntry.java
 *
 * Created on 13 February 2007 Sal, 20:43
 */

package org.moremotion.security.domain;

import java.util.*;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: FailedLoginAttemptEntry.java 51 2008-03-10 11:46:54Z erkan $
 */
class FailedLoginAttemptEntry {
  public String sdname;
  public String userName;
  public int numberOfAttempts;
  public long lastAttemptTime;
  
  public FailedLoginAttemptEntry(String userName, String sdname) {
    this.sdname = sdname;
    this.userName = userName;
    this.numberOfAttempts = 1;
    this.lastAttemptTime = (new Date()).getTime();
  }
  
  public void registerAttempt(long suspendPeriod) {
    long currTime = (new Date()).getTime();
    if (currTime - this.lastAttemptTime > suspendPeriod) {
      this.numberOfAttempts = 0;  
    } else {
      this.numberOfAttempts++;
    }
    this.lastAttemptTime = currTime;
  }
    
  public int flaTries(long suspendPeriod) {
    long currTime = (new Date()).getTime();
    if (currTime - this.lastAttemptTime > suspendPeriod) {
      return 0;
    } else {
      return this.numberOfAttempts;
    }
  }
  
  public String getKey() {
    return sdname + userName;
  }
}
