/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * FailedLoginAttempts.java
 *
 * Created on 13 February 2007 Tuesday, 20:44
 */

package org.moremotion.security.domain;

import java.util.Hashtable;


/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: FailedLoginAttempts.java 51 2008-03-10 11:46:54Z erkan $
 */
class FailedLoginAttempts {
  
  private Hashtable entries;
  
  public FailedLoginAttempts() {
    entries = new Hashtable();
  }
  
  public synchronized void put(FailedLoginAttemptEntry e) {
    entries.put(e.getKey(), e);    
  }
  
  public int failedLoginAttempt(String sdname, String userName, long suspendPeriod) {
    FailedLoginAttemptEntry e = (FailedLoginAttemptEntry)entries.get(sdname + userName);
    if (e == null) {
      e = new FailedLoginAttemptEntry(sdname, userName);
      put(e);
      return 1;
    } else {
      e.registerAttempt(suspendPeriod);
      return e.numberOfAttempts;
    }
  }
 
  public int flaTries(String sdname, String userName, long suspendPeriod) {
    FailedLoginAttemptEntry e = (FailedLoginAttemptEntry)entries.get(sdname + userName);
    return e == null ? 0 : e.flaTries(suspendPeriod);
  }  
  
  public void remove(String sdname, String userName) {
    entries.remove(sdname + userName);
  }
  
}
