/*
 *********************************************************************************
 *                                                                               *
 *  MoreMotion Application Framework                                             *
 *                                                                               * 
 *  Copyright (C) 2002-2008 MOR YAZILIM, (http://www.moryazilim.com)             *
 *                                                                               *
 *  This file is a part of MoreMotion Application Framework                      *
 *                                                                               *
 *  MoreMotion Application Framework is free software: you can redistribute      * 
 *  it and/or modify it under the terms of the GNU Lesser Genaral Public License * 
 *  as published by the Free Software Foundation, either version 3 of the        *
 *  License, or (at your option) any later version.                              *
 *                                                                               *
 *  MoreMotion Application Framework is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 *
 *  GNU General Public License for more details.                                 *
 *                                                                               *
 *  You should have received a copy of the GNU Lesser General Public License     *
 *  along with MoreMotion Application Framework.                                 * 
 *  If not, see http://www.gnu.org/licenses/lgpl.txt                             *
 *                                                                               *
 *********************************************************************************
 */

/*
 * SecurityDomainManager.java
 *
 * Created on 15 September 2004 Wednesday, 14:24
 */

package org.moremotion.security.domain;

import java.util.Enumeration;
import java.util.Hashtable;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;
import org.moremotion.session.SessionListenerQueue;

/**
 * @author Erkan Cengiz (erkan.cengiz@moryazilim.com)
 * @version $Id: SecurityDomainManager.java 51 2008-03-10 11:46:54Z erkan $
 */

public class SecurityDomainManager implements HttpSessionListener {
  
  private static Hashtable domains = null;
  
  public static SecurityDomain getDomain(String domainName) {
    if (domains == null) {
      domains = new Hashtable();
      try {
        SessionListenerQueue.addListener("org.moremotion.security.domain.SecurityDomainManager");
      } catch (Exception ex) {
        ex.printStackTrace();
      }
    }
    SecurityDomain result = (SecurityDomain)domains.get(domainName);
    if (result == null) {
      synchronized (domains) {
        result = new SecurityDomain(domainName);
        domains.put(domainName, result);
      }
    }
    
    return result;
  }
  
  public static void sessionLost(String sid) {
    if (domains != null) {
      Enumeration en = domains.elements();
      while (en.hasMoreElements()) {
        SecurityDomain sd = (SecurityDomain)en.nextElement();
        sd.logout(sid);
      }
    }
  }
  
  
  public void sessionCreated(HttpSessionEvent se) {
    //
  }
  
  public void sessionDestroyed(HttpSessionEvent se) {
    sessionLost(se.getSession().getId());
  }
  
  
  
}








